## org.biojava.utils.contract
Class PreconditionNotMetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.biojava.utils.contract.PreconditionNotMetException

public class PreconditionNotMetException
extends java.lang.IllegalArgumentException

Exception class that is thrown if a precondition of a method is not met. Since this class is a subclass of java.lang.IllegalArgumentException it is not enforced by the compiler to catch objects of this class.

Author:
  Gerald Loeffler
See Also:
  Serialized Form

Constructor Summary
`PreconditionNotMetException()` construct with no particular message
`PreconditionNotMetException(java.lang.String msg)` construct with the given message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreconditionNotMetException

    public PreconditionNotMetException()

  construct with no particular message

### PreconditionNotMetException

    public PreconditionNotMetException(java.lang.String msg)

  construct with the given message
  Parameters:
    `msg` - the message